#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( skins )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${CMAKE_BINARY_DIR}/noatun/library
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/mixers
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tdeio
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatun_kjofol (module) ####################

tde_add_kpart( noatun_kjofol AUTOMOC
  SOURCES
    kjloader.cpp kjwidget.cpp kjbutton.cpp kjseeker.cpp
    kjsliders.cpp kjfont.cpp kjtextdisplay.cpp
    kjvis.cpp kjequalizer.cpp kjbackground.cpp
    noatunui.cpp parser.cpp
    kjprefs.cpp
    kjskinselectorwidget.ui kjguisettingswidget.ui
  LINK
    tdeio-shared noatun-shared artsmodules-shared
    mcop qtmcop kmedia2_idl soundserver_idl
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kjofolui.plugin DESTINATION ${DATA_INSTALL_DIR}/noatun )
